
id=dat$obs
dat=dat[-c(ncol(dat))]



# NOTE: choose a line of code in each step #

########## step 1: choose a dependent variable ##########

dat1=dat[-c(574,575)] # any conflict for (1)-(5) #
dat1=dat[-c(573,575)] # intrastate for (6) #
dat1=dat[-c(573,574)] # interstate for (7) #

########## step 2: choose an estimation method ##########

dat2=dat1[-c(572)] # OLS #
dat2=dat1[-c(571)] # reduced form #
dat2=dat1 # 2SLS #
dat2=dat1[-c(573)] # first-stage #

########## step 3: based on step 1, choose the corresponding lagged dependent variable ##########

dat3=dat2[-c(569,570)] # lagged any conflict for (1)-(5) #
dat3=dat2[-c(568,569)] # lagged intrastate for (6) #
dat3=dat2[-c(568,570)] # lagged interstate for (7) #

########## step 4: based on step 1, choose the corresponding controls ##########

dat4=dat3[-c(342:567)] # controls for (1) #
dat4=dat3[-c(380:567)] # controls for (2) #
dat4=dat3[-c(428:567)] # controls for (3) #
dat4=dat3[-c(498:567)] # controls for (4) #
dat4=dat3 # controls for (5)-(7) #

########## step 5: remove the same collinear variables as Nunn and Qian (2014) ##########

dat5=dat4[-c(14,17,33,42,47,82,117)] # OLS for (1) #
dat5=dat4[-c(14,33,38,42,47,113,117)] # OLS for (2) #
dat5=dat4[-c(15,37,47,68,111,113,117)] # OLS for (3) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # OLS for (4) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # OLS for (5) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # OLS for (6) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # OLS for (7) #

dat5=dat4[-c(14,33,38,47,52,111,117)] # reduced form for (1) #
dat5=dat4[-c(14,33,38,47,111,113,117)] # reduced form for (2) #
dat5=dat4[-c(15,47,57,68,111,113,117)] # reduced form for (3) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # reduced form for (4) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # reduced form for (5) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # reduced form for (6) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # reduced form for (7) #

dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (1) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (2) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (3) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (4) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (5) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (6) #
dat5=dat4[-c(47,117,162,163,164,165,166)] # 2SLS for (7) #

dat5=dat4[-c(14,33,38,47,52,111,117)] # first-stage for (1) #
dat5=dat4[-c(14,33,38,47,111,113,117)] # first-stage for (2) #
dat5=dat4[-c(15,47,57,68,111,113,117)] # first-stage for (3) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # first-stage for (4) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # first-stage for (5) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # first-stage for (6) #
dat5=dat4[-c(4,47,62,68,111,113,117)] # first-stage for (7) #
