
id=dat$obs
dat=dat[-c(ncol(dat))]



# NOTE: based on the data, run the corresponding code #

########## table 11 (2): 20 year window ##########
########## table 11 (3): 15 year window ##########
########## table 11 (4): 10 year window ##########
########## table 11 (5): 5 year window ##########

tsls.2=ivreg(intra_state~.-instrument-l_us_wheat_production_fa-x2|.-wheat_aid-wheat_aid_x_pastconflict+instrument+l_us_wheat_production_fa+x2,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_us_wheat_production_fa-x2-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_pastconflict~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_pastconflict~.-instrument-l_us_wheat_production_fa-x2-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (2): high income ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int1-x1|.-wheat_aid-wheat_aid_x_HighIncome+instrument+l_US_wheat_production_faavg_int1+x1,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int1-x1-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_HighIncome~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_HighIncome~.-instrument-l_US_wheat_production_faavg_int1-x1-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (3): high resource dependence ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int2-x2|.-wheat_aid-wheat_aid_x_HighResource+instrument+l_US_wheat_production_faavg_int2+x2,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int2-x2-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_HighResource~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_HighResource~.-instrument-l_US_wheat_production_faavg_int2-x2-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (4): high polity ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int3-x3|.-wheat_aid-wheat_aid_x_HighPolity+instrument+l_US_wheat_production_faavg_int3+x3,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int3-x3-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_HighPolity~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_HighPolity~.-instrument-l_US_wheat_production_faavg_int3-x3-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (5): low ethnic polarization ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int4-x4|.-wheat_aid-wheat_aid_x_LowEPOL+instrument+l_US_wheat_production_faavg_int4+x4,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int4-x4-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_LowEPOL~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_LowEPOL~.-instrument-l_US_wheat_production_faavg_int4-x4-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (6): low ethnic diversity ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int5-x5|.-wheat_aid-wheat_aid_x_LowEthnic+instrument+l_US_wheat_production_faavg_int5+x5,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_LowEthnic~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_LowEthnic~.-instrument-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 12 (7): low ethnic polarization and diversity ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int4-x4-l_US_wheat_production_faavg_int5-x5|.-wheat_aid-wheat_aid_x_LowEPOL-wheat_aid_x_LowEthnic+instrument+l_US_wheat_production_faavg_int4+x4+l_US_wheat_production_faavg_int5+x5,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b3=vcov[4,4]
b1b2=vcov[2,3]
b1b3=vcov[2,4]
b2b3=vcov[3,4]
beta=b1+b2+b3+2*b1b2+2*b1b3+2*b2b3
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4,7)]
dat2=dat[-c(1,2,7)]
dat3=dat[-c(1,2,4)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int4-x4-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_LowEPOL~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_LowEPOL~.-instrument-l_US_wheat_production_faavg_int4-x4-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

dat3$clusterid=id
fs <- lm(wheat_aid_x_LowEthnic~.-clusterid,data=dat3)
fn <- lm(wheat_aid_x_LowEthnic~.-instrument-l_US_wheat_production_faavg_int4-x4-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat3)
waldtest(fs,fn,vcov=clusterVCV(dat3,fs,cluster1="clusterid"))$F[2]

########## table 13 (2): low cereal producer ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int1-x1|.-wheat_aid-wheat_aid_x_LowCereals+instrument+l_US_wheat_production_faavg_int1+x1,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int1-x1-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_LowCereals~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_LowCereals~.-instrument-l_US_wheat_production_faavg_int1-x1-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 13 (3): low cereal production years ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int2-x2|.-wheat_aid-wheat_aid_x_Below_mean_prod+instrument+l_US_wheat_production_faavg_int2+x2,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int2-x2-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_Below_mean_prod~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_Below_mean_prod~.-instrument-l_US_wheat_production_faavg_int2-x2-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 13 (4): high road density ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int3-x3|.-wheat_aid-wheat_aid_x_Road+instrument+l_US_wheat_production_faavg_int3+x3,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int3-x3-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_Road~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_Road~.-instrument-l_US_wheat_production_faavg_int3-x3-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 13 (5): cold war years ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int4-x4|.-wheat_aid-wheat_aid_x_CW+instrument+l_US_wheat_production_faavg_int4+x4,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int4-x4-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_CW~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_CW~.-instrument-l_US_wheat_production_faavg_int4-x4-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]

########## table 13 (6): aligned with the US ##########

tsls.2=ivreg(intra_state~.-instrument-l_US_wheat_production_faavg_int5-x5|.-wheat_aid-wheat_aid_x_Align+instrument+l_US_wheat_production_faavg_int5+x5,data=dat)
cluster.robust.se(tsls.2,id)

dat$clusterid=id
vcov=clusterVCV(dat,tsls.2,cluster1="clusterid")
b1=vcov[2,2]
b2=vcov[3,3]
b1b2=vcov[2,3]
beta=b1+b2+2*b1b2
beta^0.5 # standard errors of the sum of the two coefficients #

##### KP test #####

dat1=dat[-c(1,4)]
dat2=dat[-c(1,2)]

dat1$clusterid=id
fs <- lm(wheat_aid~.-clusterid,data=dat1)
fn <- lm(wheat_aid~.-instrument-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat1)
waldtest(fs,fn,vcov=clusterVCV(dat1,fs,cluster1="clusterid"))$F[2]

dat2$clusterid=id
fs <- lm(wheat_aid_x_Align~.-clusterid,data=dat2)
fn <- lm(wheat_aid_x_Align~.-instrument-l_US_wheat_production_faavg_int5-x5-clusterid,data=dat2)
waldtest(fs,fn,vcov=clusterVCV(dat2,fs,cluster1="clusterid"))$F[2]
